import fs from 'fs';
import path from 'path';

// Import the primitives.json file
import primitiveTokens from '../../src/theme/tokens/primitives.json';

// eslint-disable-next-line no-console -- TODO(FEINF-3587)
console.log('Generating BorderRadii.ts...');

// Extract border radius values
const borderRadii = primitiveTokens['Border Radius'];

// Create the new TypeScript content
const borderRadiiContent = `// THIS FILE IS AUTOMATICALLY GENERATED. DO NOT EDIT.

export const borderRadii = {
${Object.entries(borderRadii)
  .map(([key, value]) => {
    // Convert kebab-case to camelCase
    const camelCaseKey = key.replace(/-./g, (x) => x[1].toUpperCase());
    return `  ${camelCaseKey}: ${value.$value},`;
  })
  .join('\n')}
};
`;

// Write to file
const generatedDir = process.env.THEME_GENERATED_DIR || path.resolve(__dirname, '../../src/theme/_generated');
const filePath = path.join(generatedDir, 'BorderRadii.ts');
fs.writeFileSync(filePath, borderRadiiContent);

// eslint-disable-next-line no-console -- TODO(FEINF-3587)
console.log('BorderRadii.ts generated successfully.');
