import fs from 'fs';
import path from 'path';

import { flattenTokens, stringifyTokens } from './common';
import primitiveTokens from '../../src/theme/tokens/primitives.json';

// eslint-disable-next-line no-console -- TODO(FEINF-3587)
console.log('Generating PrimitiveColors.ts...');

const flattenedPrimitiveTokens = flattenTokens(primitiveTokens);
const finalFile = `
// THIS FILE IS AUTOMATICALLY GENERATED. DO NOT EDIT.

import type { ValidPrimitiveColors } from './ValidPrimitiveColors';

export const primitiveColors: Record<ValidPrimitiveColors, string> = ${stringifyTokens(flattenedPrimitiveTokens)};
`;

const generatedDir = process.env.THEME_GENERATED_DIR || path.resolve(__dirname, '../../src/theme/_generated');
const filePath = path.join(generatedDir, 'PrimitiveColors.ts');
fs.writeFileSync(filePath, finalFile);
